Overview
GET
/oauth/clients/{slug}oauthGet a client + its linked providers (admin)
Fetch a record from clients by slug.
Auth: bearerAuth — calls run as the authenticated user.
Parameters
- slugpathstring
Responses
200
Client + linked providers
- clientobject
- providersobject[]
Example
{
"client": {
"id": "string",
"slug": "string",
"name": "string",
"allowedReturnOrigins": [
"string"
],
"defaultEcosystemId": "string",
"isInternal": true,
"appTokenPrefix": "string"
},
"providers": [
{
"id": "string",
"slug": "string",
"name": "string",
"authType": "oauth2_code"
}
]
}401
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}404
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}Code examples
cURL
curl -X GET "https://api.agenticdeveloperhub.com/oauth/clients/{slug}" \
-H "Authorization: Bearer YOUR_TOKEN"JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/oauth/clients/{slug}", {
method: "GET",
headers: {
"Authorization": "Bearer YOUR_TOKEN"
},
});
const data = await res.json();